/*
 *    SPEED - by Shawn Hargreaves, 1999
 *
 *    Enemy control routines (attack waves).
 */

#include <allegro.h>

#include "speed.h"



/* initialises the badguy functions */
void init_badguys()
{
}



/* closes down the badguys module */
void shutdown_badguys()
{
}



/* updates the badguy position */
int update_badguys()
{
   if (key[KEY_SPACE]) {
      while (key[KEY_SPACE])
	 poll_keyboard();

      message("Wave Cleared", 0);

      return TRUE;
   }

   return FALSE;
}



/* draws the badguys */
void draw_badguys(BITMAP *bmp, int r, int g, int b, void (*project)(float *f, int *i, int c))
{
}

